import type { PageLoad } from "./$types";

export const load: PageLoad = async ({ url, fetch }) => {
	const yurikoEndpoint = 'https://search.blog.nanao.moe';
	const apiEndpoint = '/api/article/search?';
	const queryString = 'q=';
	const pageString = '&page=';

	const q = url.searchParams.get('q') ?? '';
	const page = url.searchParams.get('page') ?? 1;

	const search = await fetch(
		`${yurikoEndpoint}${apiEndpoint}${queryString}${q}${pageString}${page}`
	);
	const result = await search.json();

	return {
		query: q,
		posts: result.result
	};
};
